Bug 1019744 - KDE: PSD Preview - no longer working..
KDE: PSD Preview - no longer working..
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-baseapps (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 06:45 EDT by Robert Gadsdon
Modified: 2015-02-17 12:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:42:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Gadsdon 2013-10-16 06:45:20 EDT
Fedora 19 - Kernel 3.11.5 - Intel Core-Duo X86_64
KDE 4.11.2
Current KDE Version:  4.11.2-1.fc19.x86_64

How reproducible:
100%

Steps to reproduce:
Open Dolphin window, with all previews enabled, PSD files are just shown as bare icons, and all other graphics file types show image preview thumbnails, as expected.

Additional:
With earlier versions of Fedora 19 and KDE, I used to be able to get PSD (Photoshop) files to preview correctly on the KDE Desktop (and in Dolphin), but for some time now, all I get is the icon.
I managed to fix the problem in Gnome/Nautilus, by installing gdk-pixbuf-psd from rpm, but I use KDE (4.11.2), and have found no mention of any solution.. I have verified the problem on two different F19 systems, and on a 'clean' F19 install under VMware..

Robert Gadsdon.
October 16, 2013.
Comment 1 Kevin Kofler 2013-10-22 18:27:21 EDT
kimg_psd, the KDE equivalent to gdk-pixbuf-psd, is in kdelibs, so you already have that installed.
Comment 2 Robert Gadsdon 2013-10-22 21:52:26 EDT
Yes, I checked the KDE installation, and even recompiled kdelibs from the source RPM, but the problem was still there.

RG.
Comment 3 Robert Gadsdon 2013-11-06 05:40:43 EST
Just updated to Fedora 20, and PSD previews/icons now work correctly.

Solution:  Fixed in Fedora 20.  (kdelibs-4.11.3-1.fc20.x86_64)

Additional info..   The same version of kdelibs with Fedora 19 (updates/testing) did _not_ show PSD previews/icons, so it is possible that the problem may not have been with kdelibs itself?

Thanks.

Robert Gadsdon.
Comment 4 Fedora End Of Life 2015-01-09 15:16:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:42:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.